<?php
/* 
 * Valida usuario con la BD y devuelve contraseña para validar con PHP
 * 
 * Recibe:
 *  POST: usuario, password
 * 
 * Error:
 *  0 - No se recibieron datos
 *  1 - Usuario/Contraseña incorrectos
 *  2 - Usuario no esta en BD
 *  3 - No existe usuario
 * 
 * Success:
 *  Redirecciona a inicio.php
 */
include_once "../include/nocache.php"; //continue on error
$ruta = "../";
require_once "../include/bd_pdo.php"; //die on error
require_once "../class/c_login.php";
require_once "../include/util.php";

if (!isset($_POST["username"]) || !isset($_POST["passwd"]))
    die(header("Location: ../index.php?error=0"));

$usr = trim(filter_input(INPUT_POST, "username")); //limpia texto
$pass = $_POST["passwd"];

$user = Login::validUser($usr, $pass);

if (is_array($user)) {
    $_SESSION['error'] = true;
    // build query params
    $params = http_build_query($user);
    header("Location: ../index.php?$params");
} else {
    $_SESSION['user'] = serialize($user);

    header("Location: " . (isset($_SESSION['ruta']) ? $_SESSION['ruta'] : "../main.php"));
}

exit;